#---------------------------------------------------------------------------------------------------
# %L                                                                                               -
# protocol-core                                                                                    -
# %%                                                                                               -
# Copyright (C) 2016 - 2018 République et Canton de Genève                                         -
# %%                                                                                               -
# This program is free software: you can redistribute it and/or modify                             -
# it under the terms of the GNU Affero General Public License as published by                      -
# the Free Software Foundation, either version 3 of the License, or                                -
# (at your option) any later version.                                                              -
#                                                                                                  -
# This program is distributed in the hope that it will be useful,                                  -
# but WITHOUT ANY WARRANTY; without even the implied warranty of                                   -
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the                                     -
# GNU General Public License for more details.                                                     -
#                                                                                                  -
# You should have received a copy of the GNU Affero General Public License                         -
# along with this program. If not, see <http://www.gnu.org/licenses/>.                             -
# L%                                                                                               -
#---------------------------------------------------------------------------------------------------

spring:
  data:
    jpa:
      repositories:
        enabled: true
  jpa:
    database-platform: org.hibernate.dialect.H2Dialect
    properties:
      hibernate:
        jdbc:
          batch_size: 25
        order_inserts: true
        order_updates: true
        dialect: org.hibernate.dialect.H2Dialect
    hibernate:
      naming:
        physical-strategy: ch.ge.ve.BulletinBoardPhysicalNamingStrategy
  datasource:
    driver-class-name: org.h2.Driver
    url: jdbc:h2:mem:db;DB_CLOSE_DELAY=-1
    username: sa
    password: sa
ch:
  ge:
    ve:
      security-level: 1
      control-components-count: 2
      listeners-concurrency-factor: 2
      keyspec:
        algorithm: AES
      digest:
        algorithm: BLAKE2B-256
        provider: BC
      cipher:
        algorithm: AES/CTR/NoPadding
        provider: BC
      rng:
        algorithm: SHA1PRNG
        provider: SUN
      chvote:
        signing-key:
          url: classpath:level1/chvote-s.sk
          password: simulation password!